import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional(),
  totalCollection: z.literal(true).optional(),
  commissionAmount: z.literal(true).optional()
}).strict();
export const CommissionBatchAvgAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchAvgAggregateInputType>;
export const CommissionBatchAvgAggregateInputObjectZodSchema = makeSchema();
